Package org.jfree.layouting.layouter.model

## Class LayoutRoot

- java.lang.Object
- - org.jfree.layouting.layouter.model.LayoutNode
  - - org.jfree.layouting.layouter.model.LayoutElement
    - - org.jfree.layouting.layouter.model.LayoutRoot

-     public class LayoutRoot
      extends LayoutElement

  The layout root is the document/page representation in the DOM model. It holds the page-wide settings. It is initialized with the document context and will hold all undeclared counters. Unlike all other elements, this root has no layout-context. Any call to this method will result in a Null-value to be returned. On pagebreaks, no new instance needs to be generated - the layout root exists only once.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LayoutRoot​()` |

  - ### Method Summary

    - ### Methods inherited from class org.jfree.layouting.layouter.model.LayoutElement

      `detachLayoutContext, getCounterValue, getLayoutContext, getPrevious, getString, incrementCounter, isAlternateOpen, isContentsConsumed, isCounterDefined, openAlternate, resetCounter, setContentsConsumed, setString`

    - ### Methods inherited from class org.jfree.layouting.layouter.model.LayoutNode

      `getParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LayoutRoot

          public LayoutRoot​()